Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-05-02 05:10:05

0001 #!/bin/bash
0002 # This script runs all the steps of the embedding workflow
0003 # author: Christian Winter (christian.winter@cern.ch)
0004 # TODO: move the dataset to a more persistent and for cmssw accessible place than a private EOS user folder
0005 
0006 # print the exit status before exiting
0007 function die {
0008     echo $1: status $2
0009     exit $2
0010 }
0011 
0012 ## This is a PRE SKIMED dataset
0013 dataset="root://eoscms.cern.ch//store/group/phys_tau/embedding_test_files/2016_C-v2_RAW_preselected.root"
0014 
0015 echo "################ Selection ################"
0016 cmsDriver.py RECO \
0017     --step RAW2DIGI,L1Reco,RECO,PAT \
0018     --data \
0019     --scenario pp \
0020     --conditions auto:run2_data \
0021     --era Run2_2016_HIPM \
0022     --eventcontent RAWRECO \
0023     --datatier RAWRECO \
0024     --customise Configuration/DataProcessing/RecoTLR.customisePostEra_Run2_2016,TauAnalysis/MCEmbeddingTools/customisers.customiseSelecting_Reselect \
0025     --filein $dataset \
0026     --fileout file:selection.root \
0027     -n -1 \
0028     --python_filename selection.py || die 'Failure during selecting step' $?
0029 
0030 echo "################ LHE production and cleaning ################"
0031 cmsDriver.py LHEprodandCLEAN \
0032     --step RAW2DIGI,RECO,PAT \
0033     --data \
0034     --scenario pp \
0035     --conditions auto:run2_data \
0036     --era Run2_2016_HIPM \
0037     --eventcontent RAWRECO \
0038     --datatier RAWRECO \
0039     --customise Configuration/DataProcessing/RecoTLR.customisePostEra_Run2_2016,TauAnalysis/MCEmbeddingTools/customisers.customiseLHEandCleaning_Reselect \
0040     --filein file:selection.root \
0041     --fileout file:lhe_and_cleaned.root \
0042     -n -1 \
0043     --python_filename lheprodandcleaning.py || die 'Failure during LHE and Cleaning step' $?
0044 
0045 # Simulation (MC & Detector)
0046 echo "################ Simulation (MC & Detector) ################"
0047 cmsDriver.py TauAnalysis/MCEmbeddingTools/python/EmbeddingPythia8Hadronizer_cfi.py \
0048     --step GEN,SIM,DIGI,L1,DIGI2RAW \
0049     --mc \
0050     --beamspot Realistic25ns13TeV2016Collision \
0051     --geometry DB:Extended \
0052     --era Run2_2016_HIPM \
0053     --conditions auto:run2_mc_pre_vfp \
0054     --eventcontent RAWSIM \
0055     --datatier RAWSIM \
0056     --customise \
0057     TauAnalysis/MCEmbeddingTools/customisers.customiseGenerator_preHLT_Reselect \
0058     --filein file:lhe_and_cleaned.root \
0059     --fileout file:simulated_and_cleaned_prehlt.root \
0060     -n -1 \
0061     --python_filename generator_preHLT.py || die 'Failure during MC & Detector simulation step' $?
0062 
0063 # Simulation (Trigger)
0064 echo "################ Simulation (Trigger) ################"
0065 cmsDriver.py TauAnalysis/MCEmbeddingTools/python/EmbeddingPythia8Hadronizer_cfi.py \
0066     --step HLT:Fake2 \
0067     --mc \
0068     --beamspot Realistic25ns13TeV2016Collision \
0069     --geometry DB:Extended \
0070     --era Run2_2016_HIPM \
0071     --conditions auto:run2_mc_pre_vfp \
0072     --eventcontent RAWSIM \
0073     --datatier RAWSIM \
0074     --customise \
0075     TauAnalysis/MCEmbeddingTools/customisers.customiseGenerator_HLT_Reselect \
0076     --filein file:simulated_and_cleaned_prehlt.root \
0077     --fileout file:simulated_and_cleaned_hlt.root \
0078     -n -1 \
0079     --python_filename generator_HLT.py || die 'Failure during Fake Trigger simulation step' $?
0080 
0081 # Simulation (Reconstruction)
0082 echo "################ Simulation (Reconstruction) ################"
0083 cmsDriver.py TauAnalysis/MCEmbeddingTools/python/EmbeddingPythia8Hadronizer_cfi.py \
0084     --step RAW2DIGI,L1Reco,RECO,RECOSIM \
0085     --mc \
0086     --beamspot Realistic25ns13TeV2016Collision \
0087     --geometry DB:Extended \
0088     --era Run2_2016_HIPM \
0089     --conditions auto:run2_mc_pre_vfp \
0090     --eventcontent RAWRECOSIMHLT \
0091     --datatier RAW-RECO-SIM \
0092     --customise \
0093     TauAnalysis/MCEmbeddingTools/customisers.customiseGenerator_postHLT_Reselect \
0094     --filein file:simulated_and_cleaned_hlt.root \
0095     --fileout file:simulated_and_cleaned_posthlt.root \
0096     -n -1 \
0097     --python_filename generator_postHLT.py || die 'Failure during reconstruction simulation step' $?
0098 
0099 # Merging
0100 echo "################ Merging ################"
0101 cmsDriver.py PAT \
0102     --step PAT \
0103     --data \
0104     --scenario pp \
0105     --conditions auto:run2_data \
0106     --era Run2_2016_HIPM \
0107     --eventcontent MINIAODSIM \
0108     --datatier USER \
0109     --customise \
0110     TauAnalysis/MCEmbeddingTools/customisers.customiseMerging_Reselect \
0111     --filein file:simulated_and_cleaned_posthlt.root \
0112     --fileout file:merged.root \
0113     -n -1 \
0114     --python_filename merging.py || die 'Failure during the merging step' $?
0115 
0116 # NanoAOD Production
0117 echo "################ NanoAOD Production ################"
0118 cmsDriver.py \
0119     --step NANO \
0120     --data \
0121     --conditions auto:run2_data \
0122     --era Run2_2016_HIPM,run2_nanoAOD_106Xv2 \
0123     --eventcontent NANOAODSIM \
0124     --datatier NANOAODSIM \
0125     --customise TauAnalysis/MCEmbeddingTools/customisers.customiseNanoAOD \
0126     --filein file:merged.root \
0127     --fileout file:merged_nano.root \
0128     -n -1 \
0129     --python_filename embedding_nanoAOD.py || die 'Failure during the nanoAOD step' $?